[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TNativeUIntHelper.ToExtended

Convert to an extended-sized floating point value

## Declaration

Source position: syshelph.inc line 622

`public function TNativeUIntHelper.ToExtended: Extended;`

## Description

ToDouble converts the NativeUInt value to an extended-sized floating point value.

## See also

TNativeUIntHelper.ToBoolean |  | Convert to a boolean value
TNativeUIntHelper.ToSingle |  | Convert to an single-sized floating point value
TNativeUIntHelper.ToDouble |  | Convert to a double-sized floating point value
TNativeUIntHelper.ToString |  | Convert the value to string
TNativeUIntHelper.ToHexString |  | Convert to a hexadecimal string representation